Skip to main content
GET
/
v0
/
experimental
/
edges
/
{id}
Get experimental edge details by ID.
curl --request GET \
  --url https://{hostname}.gable.ai/v0/experimental/edges/{id} \
  --header 'X-API-KEY: <api-key>'
{
  "edge": {
    "id": "<string>",
    "namespace": "<string>",
    "edgeType": "cross_service",
    "source": {
      "componentId": "<string>",
      "type": "egress",
      "sourceComponentName": "<string>",
      "egressId": "<string>",
      "payloadName": "<string>"
    },
    "destination": {
      "componentId": "<string>",
      "type": "ingress",
      "destinationComponentName": "<string>",
      "ingressId": "<string>",
      "payloadName": "<string>"
    },
    "fieldMappings": [
      {
        "sourceField": "<string>",
        "destinationField": "<string>",
        "notes": "<string>"
      }
    ]
  }
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

The edge ID.

Query Parameters

namespace
string

Optional namespace guard for the requested edge.

Response

Successful operation

Experimental edge detail response.

edge
object
required

Detailed experimental edge data.